Bug 696801 - Asynch timeout issues, inconsistencies in IE, Chrome and FF
Asynch timeout issues, inconsistencies in IE, Chrome and FF
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Simeon Pinder
Mike Foley
:
Depends On:
Blocks: rhq41 rhq41-ui rhq-uxd
  Show dependency treegraph
 
Reported: 2011-04-14 16:42 EDT by Simeon Pinder
Modified: 2012-07-09 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
FF timeout messages (143.99 KB, image/png)
2011-04-14 16:45 EDT, Simeon Pinder
no flags Details
IE8 slow asynch no messages. (429.11 KB, image/png)
2011-04-14 16:45 EDT, Simeon Pinder
no flags Details
Chrome 10 slow no messages. (382.64 KB, image/png)
2011-04-14 16:46 EDT, Simeon Pinder
no flags Details
Chrome 10 slow no messages (429.97 KB, image/png)
2011-04-14 17:05 EDT, Simeon Pinder
no flags Details

  None (edit)
Description Simeon Pinder 2011-04-14 16:42:58 EDT
Description of problem:
On rare occasions when asynch communications take longer than the 10s processing limit the client/server currently throws a request timed out exception(We should review if this is truly the desired behavior. See below).  This appears to happen for FF, but not consitently for Chrome or IE.

Version-Release number of selected component (if applicable):
RHQ 4 Test build master 1143

How reproducible:
Almost every time on a server where asynch activities are slow.

Steps to Reproduce:
1. Browse to a Resource>Activity Dashboard and add several more dashboard portlets to slow overall load time.  Use F5 to completely reload the browser, then CTRL+SHIFT+S to view load times with an eye on Message Center.
2. On IE8 and Chrome 10.0.648, using CTRL+Shift+Alt+S, the attached screen shots show asynch operations that take longer than 10000ms, but no operation timed out messages are generated or show up in the Message Center.  
3. See attached screen shots for more details.
  
Actual results:
FF detects timeouts correctly, but IE8 and Chrome do not most of the time.

Expected results:
Consistent timeout or no timeout across all browsers.

Additional info:
On FF where the browers is forced to timeout correctly, the user experience is significanlty worse as the left nav tree will fail to load or disjoint error messages will pop up.  Page is in pretty bad shape after timeouts, wheras IE and Chrome do take a little longer to load but leave the UI in a usuable and correct state.
Comment 1 Simeon Pinder 2011-04-14 16:45:06 EDT
Created attachment 492223 [details]
FF timeout messages
Comment 2 Simeon Pinder 2011-04-14 16:45:58 EDT
Created attachment 492224 [details]
IE8 slow asynch no messages.
Comment 3 Simeon Pinder 2011-04-14 16:46:49 EDT
Created attachment 492225 [details]
Chrome 10 slow no messages.
Comment 4 Simeon Pinder 2011-04-14 17:05:54 EDT
Created attachment 492228 [details]
Chrome 10 slow no messages
Comment 5 John Mazzitelli 2011-08-16 17:23:58 EDT
can you tell us more? is this a complaint about the 10s timeout in general?
Comment 6 Simeon Pinder 2011-08-17 16:41:56 EDT
No mazz. With the screen shots I was trying to show that with some browsers, more IE and Chrome and sometimes with firefox that you can force a situation where an asynch timeout should have occurred but does not.  In the screen shots you can see some requests taking greater than ten seconds but i)no timeout exceptions were thrown/shown or ii) at the very least that they were not showing up in the MessageCenter.  

I have not tested this out with a recent build, but that's what I was reporting here.

Note You need to log in before you can comment on or make changes to this bug.